Skip Menu |
 

This queue is for tickets about the Modern-Perl CPAN distribution.

Report information
The Basics
Id: 47568
Status: resolved
Priority: 0/
Queue: Modern-Perl

People
Owner: Nobody in particular
Requestors: tomdegisi [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Perl::Critic Warning
Date: Sat, 4 Jul 2009 14:49:10 -0500
To: bug-Modern-Perl [...] rt.cpan.org
From: Tom DeGisi <tomdegisi [...] gmail.com>
Download (untitled) / with headers
text/plain 904b
chromatic, I maintain a small amount of Perl code on the DarkPAN and am trying to modernise. (Keep advocating for responsible, frequent updates. I work with Vinnie Alves of http://usestrict.net/. We can handle it.) I have loaded Strawberry Perl 5.10.0.03 on my personal laptop, and pulled down Perl::Critic, Padre and Modern::Perl from the cpan command line. Here's my little hello.pl: use Modern::Perl; say "hello"; I get this warning from Perl::Critic: C:\Users\Public\Documents\Dad\Perl>perlcritic hello.pl Code before strictures are enabled at line 4, column 1. See page 429 of PBP. (Severity: 5) C:\Users\Public\Documents\Dad\Perl> When I add "use strict;" at the top, the warning goes away. This seems a waste, since Modern::Perl enables use strict. I don't know if there is a way to get Modern::Perl to suppress this warning, but I thought I would ask. Thanks, 3om Tom DeGisi
From: tomas.znamenacek [...] gmail.com
See the following bug filed for Perl::Critic: http://rt.cpan.org/Public/Bug/Display.html?id=43457
Perl::Critic should handle this. Not much Modern::Perl can do here.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.